Bug 145 - Ошибка в размещении библиотек
: Ошибка в размещении библиотек
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libMySQL-devel-static)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-11-09 03:57 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-11-09 03:57:32
В .spec файле динамические библиотеки перемещаются в /usr/lib. При это
/usr/lib/mysql/*.a остаются на месте, а в /usr/lib/mysql/*.la файлах путь к
библиотекам указан в /usr/lib. Вследствии этого не собираются пакеты,
зависимость библиотек которых вытаскивается через путь из *.la.
Например - при сборке mnogosearch он цепляет правильно .la файлы и прописывает
в свой .la путь к /usr/lib/libmysqlclient.a, которого естественно нет ;-(
После этого невозможно собрать пакеты, которые для сборки требуют mnogosearch
(например php-mnogosearch).
---

---
------- Comment #1 From 2001-11-26 17:28:23 -------
Should be fixed in libMySQL-devel-static-3.23.45-alt1
------- Comment #2 From 2001-11-26 17:28:23 -------
Should be fixed in libMySQL-devel-static-3.23.45-alt1